#!/bin/bash
#
# SPDX-License-Identifier: LGPL-3.0-or-later 
#
# Copyright (C) 2008 Banco do Brasil S.A.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

#
# References:
#
#	* https://www.msys2.org/docs/ci/
#

echo "Running ${0}"

LOGFILE=build.log
rm -f ${LOGFILE}

die ( ) {
	[ -s $LOGFILE ] && tail $LOGFILE
	[ "$1" ] && echo "$*"
	exit -1
}

cd $(dirname $(dirname $(readlink -f ${0})))

#
# Install pre-reqs
#
echo "Installing pre-reqs..."
pacman -U --noconfirm *.pkg.tar.zst || die "pacman failure"

#
# Build
#
echo "Building package..."
dos2unix PKGBUILD.mingw  || die "dos2unix failure"
makepkg BUILDDIR=/tmp/pkg -p PKGBUILD.mingw || die "makepkg failure"

echo "Build complete"

